curl -X GET https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const key = await response.json();
{
"id": "llm_1706123456_abc123def456",
"name": "Production Key",
"keyPreview": "llm_1706...f456",
"description": null,
"permissions": [],
"isActive": true,
"lastUsedAt": "2026-01-20T15:30:00.000Z",
"expiresAt": null,
"createdAt": "2026-01-01T10:00:00.000Z"
}
{
"message": "API key not found"
}
{
"message": "Access denied to this API key"
}
Gestion des clés API
Détails d'une clé d'API
Ce point de terminaison renvoie les détails d’une clé d’API précise.
curl -X GET https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const key = await response.json();
{
"id": "llm_1706123456_abc123def456",
"name": "Production Key",
"keyPreview": "llm_1706...f456",
"description": null,
"permissions": [],
"isActive": true,
"lastUsedAt": "2026-01-20T15:30:00.000Z",
"expiresAt": null,
"createdAt": "2026-01-01T10:00:00.000Z"
}
{
"message": "API key not found"
}
{
"message": "Access denied to this API key"
}
Cette page vous a-t-elle été utile ?
⌘I